# transports.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/sockets.h>`
`#include <ptclib/psockbun.h>`

Include dependency graph for transports.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalTransportAddress
class | OpalTransportAddressArray
class | OpalListener
class | OpalListenerIP
class | OpalListenerTCP
class | OpalListenerUDP
class | OpalTransport
class | OpalTransportIP
class | OpalTransportTCP
class | OpalTransportUDP
class | OpalInternalTransport
class | OpalInternalIPTransport
class | OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >

## Operations

#define | PDECLARE_AcceptHandlerNotifier(cls, fn) PDECLARE_NOTIFIER2(OpalListener, cls, fn, const OpalTransportPtr &)

## Operations

#define | PDECLARE_WriteConnectCallback(cls, fn) PDECLARE_NOTIFIER2(OpalTransport, cls, fn, bool &)

## Typedefs

typedef PSafePtr< OpalTransport > | OpalTransportPtr
typedef OpalInternalIPTransportTemplate< OpalListenerTCP, OpalTransportTCP, OpalTransportAddress::Datagram, OpalTransportUDP > | OpalInternalTCPTransport
typedef OpalInternalIPTransportTemplate< OpalListenerUDP, OpalTransportUDP, OpalTransportAddress::Streamed, OpalTransportTCP > | OpalInternalUDPTransport

## Functions

| PLIST (OpalListenerList, OpalListener)

## Define Documentation

#define PDECLARE_AcceptHandlerNotifier | ( | cls,
|  | fn |  | ) | PDECLARE_NOTIFIER2(OpalListener, cls, fn, const OpalTransportPtr &)

#define PDECLARE_WriteConnectCallback | ( | cls,
|  | fn |  | ) | PDECLARE_NOTIFIER2(OpalTransport, cls, fn, bool &)

## Typedef Documentation

typedef OpalInternalIPTransportTemplate<OpalListenerTCP, OpalTransportTCP, OpalTransportAddress::Datagram, OpalTransportUDP> OpalInternalTCPTransport

typedef OpalInternalIPTransportTemplate<OpalListenerUDP, OpalTransportUDP, OpalTransportAddress::Streamed, OpalTransportTCP> OpalInternalUDPTransport

typedef PSafePtr<OpalTransport> OpalTransportPtr

## Function Documentation

PLIST | ( | OpalListenerList | ,
|  | OpalListener |  |
| ) |  |  |